Subject: Re: `git stash pop` UX Problem

From: Matthieu Moy <[email-masked]>
Date: Wed, 26 Feb 2014 09:27:07 +0100

Omar Othman <[email-masked]> writes:

> Though I don't know why you think this is important:
>> Now, the real question is: when would Git stop showing this advice. I
>> don't see a real way to answer this, and I'd rather avoid doing just a
>> guess.
> If it is really annoying for the user, we can just have a
> configuration parameter to switch this message on/off.

Just saying "You have X stash" is OK to me as long as there is an option
to deactivate it.

Hinting "You should now run "git stash drop"." OTOH is far more dangerous
if guessed wrong. Keeping a stash active when you don't need it does no
real harm, but droping one you actually needed is data loss.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/